libzypp 17.37.10

linuxhelpers_p.h File Reference
`#include <string>`
`#include <optional>`
`#include <zypp-core/zyppng/core/ByteArray>`
`#include <zypp-core/AutoDispose.h>`
`#include <errno.h>`

Go to the source code of this file.

## Classes
struct | zyppng::Pipe

## Namespaces
namespace | zyppng

## Functions
std::string | zyppng::strerr_cxx (const int err=-1)
template<typename Fun, typename RestartCb, typename... Args>
auto | zyppng::eintrSafeCallEx (const Fun &function, const RestartCb &restartCb, Args &&... args)
template<typename Fun, typename... Args>
auto | zyppng::eintrSafeCall (Fun &&function, Args &&... args)
bool | zyppng::blockAllSignalsForCurrentThread ()
bool | zyppng::blockSignalsForCurrentThread (const std::vector< int > &sigs)
bool | zyppng::trySocketConnection (int &sockFD, const SockAddr &addr, uint64_t timeout)
void | zyppng::renumberFd (int origfd, int newfd)
int64_t | zyppng::bytesAvailableOnFD (int fd)